CVE-2020-8166

A CSRF forgery vulnerability exists in rails < 5.2.5, rails < 6.0.4 that makes it possible for an attacker to, given a global CSRF token such as the one present in the authenticity_token meta tag, forge a per-form CSRF token.
References
Link Resource
https://groups.google.com/g/rubyonrails-security/c/NOjKiGeXUgw Mailing List Patch Third Party Advisory
https://hackerone.com/reports/732415 Exploit Third Party Advisory
https://www.debian.org/security/2020/dsa-4766 Third Party Advisory
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:rubyonrails:rails:*:*:*:*:*:*:*:*
cpe:2.3:a:rubyonrails:rails:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

History

No history.

Information

Published : 2020-07-02 19:15

Updated : 2020-11-20 17:47


NVD link : CVE-2020-8166

Mitre link : CVE-2020-8166


JSON object : View

Products Affected

debian

  • debian_linux

rubyonrails

  • rails
CWE
CWE-352

Cross-Site Request Forgery (CSRF)